// mdimap.h : main header file for the MDIMAP application
//

#if !defined(AFX_MDIMAP_H__CC550E1C_6193_11D4_A33C_0040055797F1__INCLUDED_)
#define AFX_MDIMAP_H__CC550E1C_6193_11D4_A33C_0040055797F1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CMdimapApp:
// See mdimap.cpp for the implementation of this class
//

CString GetPath(CString str);
CString GetFile(CString str);

class CMdimapApp : public CWinApp
{
public:
	CMdimapApp();


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMdimapApp)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

// Implementation
protected:
	HMENU m_hMapMenu;
	HACCEL m_hMDIAccel;

public:
	//{{AFX_MSG(CMdimapApp)
	afx_msg void OnHelpAbout();
	afx_msg void OnFileExit();
	afx_msg void OnFileOpennewmap();
	afx_msg void OnFileNewmap();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MDIMAP_H__CC550E1C_6193_11D4_A33C_0040055797F1__INCLUDED_)
